Package org.apache.sling.query.impl.selector.parser

## Class Selector

- java.lang.Object
- - org.apache.sling.query.impl.selector.parser.Selector

    public class Selector
    extends Object

### Constructor Summary

Constructors
`Selector()`
`Selector​(List<SelectorSegment> segments)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<SelectorSegment>` `getSegments()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Selector

    public Selector()

#### Selector

    public Selector​(List<SelectorSegment> segments)

### Method Detail

#### getSegments

    public List<SelectorSegment> getSegments()